Subject: bug#17677: gnus: confusing error message from `gnus-topic-unindent'

From: Samuel Bronson <[email-masked]>
Date: Tue, 03 Jun 2014 13:26:42 -0400

When I invoke `gnus-topic-unindent' and it can't see how to unindent the
topic any further, it says (e.g.) "Nothing to indent Gnus into".  This
rather confused me about the key handling at first, since (at least for
the first sub-topic) this is exactly the same message I get for
`gnus-topic-indent'. (Also for the top-level topic, but I doubt anyone
would seriously attempt to indent/unindent that?)

It's also not immediately obvious that the message makes any sense even
if you s/indent/unindent/, though upon reflection I guess it sort-of
does: there isn't exactly a grandparent or parent of the top-level topic
into which to move the top-level topic or its children, respectively.

Gnus v5.13
GNU Emacs 24.3.1 (i486-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2013-12-22 on binet, modified by Debian

-- 
Hi! I'm a .signature virus! Copy me into your ~/.signature to help me spread!